#pragma once
#include <Windows.h>

const int FRI_INPUTVALUE_INVALID = 0xA1;//ȷ
const int FRI_GRNDERMARK_ERROR = 0xA2;//Աʶ
const int FRI_NATIONMARK_ERROR = 0xA3;//ʶ
const int FRI_HISTORICALNUMBER_ERROR = 0xA4;//ʷ
const int FRI_LOADDLL_ERROR = 0xA5;//ض̬
const int FRI_DECODEFACE_ERROR = 0xA6;//ݴ

struct CardInfoStruct
{
	int cardType;//֤ͣ1=֤2=۰̨ס֤3=2017֤4=°֤

	//עݾʹ Little-Endian ֽ˳ UTF-16 ʽ

	//***֤ݽṹ***
	unsigned char sfz_name[30];//
	unsigned char sfz_gender[6];//Ա
	unsigned char sfz_nation[8];//
	unsigned char sfz_birthday[16];//
	unsigned char sfz_address[70];//ַ
	unsigned char sfz_idNumber[36];//ݺ
	unsigned char sfz_issueOrganization[30];//ǩ
	unsigned char sfz_validDateStart[16];//Чʼ
	unsigned char sfz_validDateEnd[16];//Чڽֹ
	unsigned char sfz_reserved[36];//Ԥ
	//***֤ݽṹ***

	//***۰̨ס֤ݽṹ***
	unsigned char gat_name[30];//
	unsigned char gat_gender[6];//Ա
	unsigned char gat_reserved1[4];//Ԥ
	unsigned char gat_birthday[16];//
	unsigned char gat_address[70];//ַ
	unsigned char gat_idNumber[36];//ݺ
	unsigned char gat_issueOrganization[30];//ǩ
	unsigned char gat_validDateStart[16];//Чʼ
	unsigned char gat_validDateEnd[16];//Чڽֹ
	unsigned char gat_passCheckId[18];//֤ͨ
	unsigned char gat_issuesNumber[4];//ǩ
	unsigned char gat_reserved2[6];//Ԥ
	unsigned char gat_cardType[2];//֤ͱʶ
	unsigned char gat_reserved3[6];//Ԥ
	//***۰̨ס֤ݽṹ***

	//***2017֤ݽṹ***
	unsigned char yjzOld_nameEnglish[120];//Ӣ
	unsigned char yjzOld_gender[6];//Ա
	unsigned char yjzOld_idNumber[30];//ݺ
	unsigned char yjzOld_nationality[6];//
	unsigned char yjzOld_nameChinese[30];//
	unsigned char yjzOld_validDateStart[16];//Чʼ
	unsigned char yjzOld_validDateEnd[16];//Чڽֹ
	unsigned char yjzOld_birthday[16];//
	unsigned char yjzOld_cardVersion[4];//֤汾	
	unsigned char yjzOld_issueOrganization[8];//ǩ
	unsigned char yjzOld_cardType[2];//֤ͱʶ
	unsigned char yjzOld_reserved[6];//Ԥ
	//***2017֤ݽṹ***

	//***°֤ݽṹ***
	unsigned char yjz_nameChinese[30];//	
	unsigned char yjz_gender[6];//Ա
	unsigned char yjz_renewalNumber[4];//֤
	unsigned char yjz_birthday[16];//
	unsigned char yjz_nameEnglish[70];//Ӣ
	unsigned char yjz_idNumber[36];//ݺ
	unsigned char yjz_reserved[30];//Ԥ
	unsigned char yjz_validDateStart[16];//Чʼ
	unsigned char yjz_validDateEnd[16];//Чڽֹ
	unsigned char yjz_nameEnglishAdd[22];//Ӣ
	unsigned char yjz_nationality[6];//
	unsigned char yjz_cardType[2];//֤ͱʶ
	unsigned char yjz_historicalNumber[30];//ʷ	
	//***°֤ݽṹ***
};

//򿪴/USB 
extern "C" __declspec(dllexport) int FRI_OpenPort(int iPort);

//رմ/USB 
extern "C" __declspec(dllexport) int FRI_ClosePort(int iPort);

//Ѱ
extern "C" __declspec(dllexport) int FRI_FindIDCard(int iPort);

//ȡ֤Ϣ
extern "C" __declspec(dllexport) int FRI_ReadIDCard(int iPort, CardInfoStruct * pCardInfoStruct, unsigned char* pPHMsg, unsigned int* pPHMsgLen, unsigned char* pFPMsg, unsigned int* pFPMsgLen, int iFPflag);