﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using static FriDecomposeTest.DataStruct;

namespace FriDecomposeTest
{
    class FriDecomposeDll
    {
        //打开串口/USB 口
        [DllImportAttribute("FriDecompose.dll", EntryPoint = "FRI_OpenPort")]
        public static extern int FRI_OpenPort(int iPort);

        //关闭串口/USB 口
        [DllImportAttribute("FriDecompose.dll", EntryPoint = "FRI_ClosePort")]
        public static extern int FRI_ClosePort(int iPort);

        //找卡
        [DllImportAttribute("FriDecompose.dll", EntryPoint = "FRI_FindIDCard")]
        public static extern int FRI_FindIDCard(int iPort);

        //读取文字信息
        [DllImportAttribute("FriDecompose.dll", EntryPoint = "FRI_ReadIDCard")]
        public static extern int FRI_ReadIDCard(int iPort, ref CardInfoStruct pCardInfoStruct, byte[] pPHMsg, ref uint pPHMsgLen, byte[] pFPMsg, ref uint pFPMsgLen, int iFPflag);
    }
}
